Bug 92315 - [patch:fix] sysutils/dvd+rw-tools : thread problems: build typo and hard coded build options
Summary: [patch:fix] sysutils/dvd+rw-tools : thread problems: build typo and hard code...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Mario Sergio Fujikawa Ferreira
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-01-25 15:10 UTC by Mario Sergio Fujikawa Ferreira
Modified: 2006-03-27 17:29 UTC (History)
1 user (show)

See Also:


Attachments
patch-Makefile (663 bytes, text/plain)
2006-01-25 15:10 UTC, Mario Sergio Fujikawa Ferreira
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mario Sergio Fujikawa Ferreira freebsd_committer 2006-01-25 15:10:03 UTC
o dvd+rw-tools Makefile uses an incorrect compile time macro due
  to a typo. It should be using -D_THREAD_SAFE instead of -DTHREAS_SAFE
o Futhermore, make sure the port upholds PTHREAD_{CFLAGS,LIBS}
o Bump PORTREVISION to make users update
Comment 1 Chuck Swiger 2006-01-25 17:41:37 UTC
Hi, all--

On Jan 25, 2006, at 10:02 AM, Mario Sergio Fujikawa Ferreira wrote:
> [ ... ]

Although I won't have time to test this change until later today,  
thanks for the fix, and I'm willing to approve it.  ports/91874 did  
in fact need more testing for FreeBSD 4...

-- 
-Chuck
Comment 2 Marcus Alves Grando freebsd_committer 2006-02-18 21:35:32 UTC
State Changed
From-To: open->feedback

Ask for maintainer approval.
Comment 3 Pav Lucistnik freebsd_committer 2006-03-26 22:39:58 UTC
State Changed
From-To: feedback->open

Maintainer approved 


Comment 4 Pav Lucistnik freebsd_committer 2006-03-26 22:39:58 UTC
Responsible Changed
From-To: freebsd-ports-bugs->lioux

Submitter is committer.
Comment 5 Mario Sergio Fujikawa Ferreira freebsd_committer 2006-03-27 17:29:45 UTC
State Changed
From-To: open->closed

Fix committed.